@echo off
cls
set output=NUL
if "%1"=="" set output=CON
if "%1"=="/h" set output=CON
if "%1"=="/?" set output=CON
echo Using the TEXTCON program, convert a text file with a >%output%
echo .txt extension to an ASCII document (text with carriage returns >%output%
echo only at paragraph breaks) with the same base name and a >%output%
echo .asc extension.  Supply the base name of the input file as a parameter, e.g., >%output%
echo txt2asc basename >%output%
echo produces the output file basename.asc from the input file basename.txt >%output%
if "%output%"=="CON" goto end
if not exist %1.txt goto missing
if exist %1.asc del %1.asc
echo n>batcon.tmp
textcon.exe %1.txt %1.asc <batcon.tmp %2 %3
if errorlevel==1 echo The program reported an error!
if exist batcon.tmp del batcon.tmp
goto end
:missing
echo Input file %1.txt not found!
:end